let options = {
    diapason_akk: [],
    type_time: 'minute',
    time_pars: [0,30],
    time_online_pars: [1,30],
};

$('#activity_start').on('click', async function () {
    //{"chats":["@dfgggh",http....","t.me..."],"online":[0,48],"type":["admin","bots","alluser"]}
    //Получение данных из textarea


    let time_from = $('#time_from').val();
    let time_before = $('#time_before').val();
    if(parseInt(time_from) >= parseInt(time_before)){
        error('Значение времени "до" не может быть меньше!')
        return
    } else {
        options.time_pars[0] = time_from;
        options.time_pars[1] = time_before;
    }

    let time_online_from = $('#time_online_from').val();
    let time_online_before = $('#time_online_before').val();
    if(parseInt(time_online_from) >= parseInt(time_online_before)){
        error('Значение времени "до" не может быть меньше!')
        return
    } else {
        options.time_online_pars[0] = time_online_from;
        options.time_online_pars[1] = time_online_before;
    }
    
    clear_log = 0
    let json = JSON.stringify(options);
    //Получили json обьект
    let this_class = $(this).hasClass("btn-success");
    if (this_class == true) {
        $(this).removeClass('btn-success');
        $(this).addClass('btn-danger');
        $(this).text("Остановить");
        $('#log li').remove();
        await eel.online_random(json)();
    } else {
        $(this).removeClass('btn-danger');
        $(this).addClass('btn-success');
        $(this).text("Запустить");
        eel.stopped('online_random') //<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ТУТ КНОПКА ОТМЕНИТЬ
    }

});

window.addEventListener("beforeunload", function (e) {        
    eel.stopped('online_random')
});

eel.expose(set_finished_btn);
function set_finished_btn(){
    $('#activity_start').removeClass('btn-danger');
    $('#activity_start').addClass('btn-success');
    $('#activity_start').text("Запустить");
}

$('#type_time').on('click', function(){
    let this_mode = $(this).attr('type_time');
    if(this_mode == 'hours'){
        $(this).text("минут");
        $(this).attr('type_time','minute');
        options.type_time = 'minute'
    } else {
        $(this).text("часов");
        $(this).attr('type_time','hours');
        options.type_time = 'hours'
    }
});

let clear_log = 0
eel.expose(log);
function log(log_line) {
  if (clear_log == 250){
    $('#log li:first').remove();
  } else {clear_log = clear_log + 1}
  $('#log').append('<li>' + log_line + '</li>');
  $('#log_div').scrollTop($('#log_div')[0].scrollHeight);
}




$('#select_accounts').on('click', async function () {
    options.diapason_akk = [];
    load_accounts();
});

$('#select_accounts_apply').on('click', async function () {
    $('#select_accounts_modal').modal('hide');
    let from = 1;
    let before = $('#table_users >tbody >tr').length;
    //Запускаем цикл по всей таблице
    for (let i = from; i <= before; i++) {
        let type_bg = $('#table_users tr').eq(i).attr("class");
        if (type_bg == "bg_selected") {
        //Получаем номер телефона
        phone_user = $('#table_users tr').eq(i).children('#phone').html();
        options.diapason_akk.push(phone_user);
        }
    }
    $("#account_num").removeClass('d-none');
    $("#account_num").text(options.diapason_akk.length);
});

// eel.expose(error);
function error(text) {
    Swal.fire({
        position: 'center',
        icon: 'error',
        title: 'Ошибка',
        text: text,
        showConfirmButton: false,
        timer: 2100
    })
}